// Copyright 2022 schukai GmbH
// SPDX-License-Identifier: AGPL-3.0

package configuration

import (
	"github.com/stretchr/testify/assert"
	"testing"
)

func TestGetMapForProperties(t *testing.T) {

	config := ConfigStruct7{}
	config.A = "A"
	config.B = true
	config.C.CA = "CA"
	config.C.CB = false
	config.C.CD.CDA = "CDA"

	s := New(config)

	m, e := getMapForProperties(s.config)

	assert.Equal(t, len(e), 0)

	assert.Equal(t, "A", m["A"])
	assert.Equal(t, "true", m["B"])
	assert.Equal(t, "CA", m["C.CA"])
	assert.Equal(t, "false", m["C.CB"])
	assert.Equal(t, "CDA", m["C.CB.CDA"])

}
